Ticket #43073

gtk4 fcmp: Destruction of quit dialog does not allow opening a new one

Open Date: 2021-10-19 12:37 Last Update: 2021-12-03 02:10

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
4

Details

Noticed on master gtk4 fcmp, other branches and fcmp guis likely affected.

quit_dialog_destroyed() nullifies just a local variable. It does nothing to the one in quit_dialog_callback() that controls whether a new quit dialog can be opened or not.

Ticket History (3/10 Histories)

2021-10-19 12:37 Updated by: cazfi
  • New Ticket "gtk4 fcmp: Destruction of quit dialog does not allow opening a new one" created
2021-11-20 15:07 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.6 (closed)
2021-11-20 16:37 Updated by: cazfi
Comment

New version for S3_0 only - handle gtk4 modpack installer in that branch too.

2021-11-28 03:29 Updated by: cazfi
Comment

gtk3- and gtk2- guis aren't actually affected. They get the correct pointer nullified via gtk_widget_destroyed() callback. Should not touch those, especially in stable branches.

2021-11-28 07:33 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

- New version of the patch, that applies to all branches, with changes only to gtk4 gui

2021-12-03 02:10 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login